// vertex shader
#version 330
layout(location = 0) in vec3 position;
layout(location = 1) in vec2 uv;
layout(location = 2) in vec3 normal;


uniform mat4 projectionMatrix;
uniform mat4 model;
uniform sampler2D texture2d;
uniform mat3 normalMatrix;

varying vec3 vnormal;
varying vec2 vuv;
varying vec3 worldPosition;
void main()
{
	gl_Position = projectionMatrix * model * vec4(position, 1);
	vnormal = normalMatrix * normal;
	vuv = uv;
	worldPosition = vec3(model * vec4(position, 1) );
}
