//Phong illumination vertex shader
#version 330
layout(location = 0) in vec3 position;
layout(location = 1) in vec2 uv;
layout(location = 2) in vec3 normal;

varying vec3 vnormal;
varying vec3 fragPos;
varying vec2 _uv;
uniform mat4 projectionMatrix;
uniform mat4 model;
uniform mat3 normalMatrix;

void main()
{
	vnormal = normalMatrix * normal;
	_uv = uv;
	//position in world space
	fragPos = vec3(model * vec4(position, 1) );
	gl_Position = projectionMatrix * model * vec4(position, 1);
}
