#version 330

out vec4 fragColor;

in vec2 texCoords;

uniform sampler2D scene;
uniform sampler2D bloomBlur;
uniform bool bloom;
uniform float exposure;

void main() {
	
	const float gamma = 2.2;
	vec3 hdrColor = texture(scene, texCoords).rgb;
	vec3 bloomColor = texture(bloomBlur, texCoords).rgb;

	if (bloom) {
		//additive blending
		hdrColor += bloomColor;
	}

	//tone mapping
	vec3 result = vec3(1.0) - exp(-hdrColor * exposure);
	//result = pow(result, vec3(1.0 / gamma)); //gamma correct
	fragColor = vec4(result, 1.0f);
}